#ifndef _MEDIA_H_
#define _MEDIA_H_

#include <dirent.h>

#define ANY_REGEXP ".*"
#define WS_REGEXP "[[:space:]]*"

typedef struct _mediaFile {
	char *path;
	char *filename;
	struct _mediaFile *next;
} mediaFile;

void media_add(char *path, char *filename);
void media_clear();
void media_search(char *query);
void media_load_files(DIR *archive, char *path);
void media_load_directory(char *path);
void media_load_archives();

extern mediaFile *mediaStart, *mediaEnd;

#endif
